On 02/13/18 09:12, William Pitcock wrote:
>>>> glib:
>>> Upstream it.
> To alpine.


We have a few differences:

* Alpine has python2, we have python3 (should be fine, it is for gio
generation stuff)

* We use xmlto for more docs

* We use attr-dev for xattr support

Let me know about these three.  I will try to find an Alpine box to
verify the test suite on before committing to adelie-integration, as
this is a doozy.


>>>> grep:
> Lets postpone this until next week.  We have some runway until
> version-freeze for 3.8, and most of the 3.8 goals slipped due to
> Meltdown/Spectre mitigations.


Okay, I put 'grep merge' on Monday's calendar.


>>>> gstreamer (and gst-plugins-*):
>>>>
>>>> Alpine has made a mistake with ldpath for GStreamer 1.0, setting it to
>>>> /usr/lib/gstreamer-.0 instead of /usr/lib/gstreamer-1.0.  This error
>>>> would mean every package using GStreamer would need to be rebuilt
>>>> upstream if that was fixed.  On the other paw, I REALLY do not want to
>>>> ship such a blatant error if we can help it.  While I would regret
>>>> having to maintain all the GStreamer packages, it may be necessary.
>>>
>>> Lets fix this in Alpine.
>>
>>
>> I wouldn't even know where to begin.
> 
> I will look into it.


Do keep me updated.  I will be glad to help once I know what needs to be
done.

Best,
--arw

-- 
A. Wilcox (awilfox)
Project Lead, Adélie Linux
http://adelielinux.org

Attachment: signature.asc
Description: OpenPGP digital signature

_______________________________________________
Adélie Development mailing list -- adelie-devel@lists.adelielinux.org
To unsubscribe send an email to adelie-devel-le...@lists.adelielinux.org

Reply via email to